# ANSIO Unit Test
add_executable(ANSIO-UnitTest
    ANSIO-UnitTest.cpp
)

target_include_directories(ANSIO-UnitTest PRIVATE
    ${CMAKE_SOURCE_DIR}/integrations/ANSIO
    ${CMAKE_SOURCE_DIR}/integrations/ANSIO/IOBox
    ${SHARED_INCLUDE_DIR}
)

target_link_libraries(ANSIO-UnitTest
    PRIVATE ANSIO
    PRIVATE ANSLicensingSystem
    PRIVATE anslicensing
    PRIVATE labview
)

if(WIN32)
    target_link_libraries(ANSIO-UnitTest PRIVATE ${WIN_COMMON_LIBS})
endif()

target_compile_definitions(ANSIO-UnitTest PRIVATE UNICODE _UNICODE)
